/*select c.categid, c.categname, s.subcategid, s.subcategname from category_v1 c
left join subcategory_v1 s on s.categid=c.categid
order by c.categname, s.subcategname*/
select MONTH, YEAR, total(TotalDeposits) as TotalDeposits, total(TotalExpenses) as TotalExpenses
from (
select strftime('%m', c.TRANSDATE) as MONTH
    ,strftime('%Y', c.TRANSDATE) as YEAR
    , total(case c.TRANSCODE when 'Deposit'  then TRANSAMOUNT * cf.BaseConvRate end) as TotalDeposits
    , total(case c.TRANSCODE when 'Withdrawal' then TRANSAMOUNT * cf.BaseConvRate end) as TotalExpenses
from CHECKINGACCOUNT_V1 c
    left join ACCOUNTLIST_V1 AC on AC.ACCOUNTID = c.ACCOUNTID
    left join currencyformats_v1 cf on cf.currencyid=AC.currencyid

where (date('now', 'start of month','-11 month','localtime') <= c.transdate
        and c.transdate < date('now', 'start of month','+1 month','localtime'))
and transcode != 'Transfer'
and c.status !='V'
and ac.status !='Closed'
and c.categid=1 and c.subcategid=1
group by year, month
union all
select strftime('%m', date('now', 'start of month','-11 month','localtime')),  strftime('%Y', date('now', 'start of month','-11 month','localtime')), 0, 0
union all
select strftime('%m', date('now', 'start of month','-10 month','localtime')),  strftime('%Y', date('now', 'start of month','-10 month','localtime')), 0, 0
union all
select strftime('%m', date('now', 'start of month','-9 month','localtime')),  strftime('%Y', date('now', 'start of month','-9 month','localtime')), 0, 0
union all
select strftime('%m', date('now', 'start of month','-8 month','localtime')),  strftime('%Y', date('now', 'start of month','-8 month','localtime')), 0, 0
union all
select strftime('%m', date('now', 'start of month','-7 month','localtime')),  strftime('%Y', date('now', 'start of month','-7 month','localtime')), 0, 0
union all
select strftime('%m', date('now', 'start of month','-6 month','localtime')),  strftime('%Y', date('now', 'start of month','-6 month','localtime')), 0, 0
union all
select strftime('%m', date('now', 'start of month','-5 month','localtime')),  strftime('%Y', date('now', 'start of month','-5 month','localtime')), 0, 0
union all
select strftime('%m', date('now', 'start of month','-4 month','localtime')),  strftime('%Y', date('now', 'start of month','-4 month','localtime')), 0, 0
union all
select strftime('%m', date('now', 'start of month','-3 month','localtime')),  strftime('%Y', date('now', 'start of month','-3 month','localtime')), 0, 0
union all
select strftime('%m', date('now', 'start of month','-2 month','localtime')),  strftime('%Y', date('now', 'start of month','-2 month','localtime')), 0, 0
union all
select strftime('%m', date('now', 'start of month','-1 month','localtime')),  strftime('%Y', date('now', 'start of month','-1 month','localtime')), 0, 0
union all
select strftime('%m', date('now', 'start of month','-0 month','localtime')),  strftime('%Y', date('now', 'start of month','-0 month','localtime')), 0, 0
) t
group by year, month
order by year, month
